<!-- Main Content -->
<div class="container-fluid">
    <div class="side-body">
        <div class="page-title">
            <span class="title">Input Transaction</span>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                      <%= form_for(@transaction) do |form| %>
                      <% if @transaction.errors.any? %>
                        <div class="alert fresh-color alert-danger" role="alert">
                          <ul>
                            <% @transaction.errors.full_messages.each do |message| %>
                            <li>
                              <strong><%= message %></strong>
                            </li>
                            <% end %>
                          </ul>
                        </div>
                        <% end %>
                        <div class="sub-title">Barang</div>
                        <div>
                          <%= form.select :product_id, options_for_select(@products.map{ |c| ["#{c.name} - #{c.size} - #{c.type_product}", c.id] }, selected_key = form.object.product_id), {}, {:class => "form-control"} %>
                        </div>
                        <div for="name" class="sub-title">Total Unit</div>
                        <div>
                            <%= form.number_field :total, class: 'form-control', placeholder: 'total', :required => true %>
                        </div>
                        <div for="name" class="sub-title">PPN</div>
                        <div>
                            <%= form.text_field :ppn, class: 'form-control', placeholder: 'PPN' %>
                        </div>
                        <div for="name" class="sub-title">discount</div>
                        <div>
                            <%= form.number_field :discount, class: 'form-control', placeholder: 'discount' %>
                        </div>
                        <%= link_to 'Back', supplies_path, class: "btn btn-sm btn-default" %>
                        <button type="submit" class="btn btn-sm btn-info">Submit</button>
                      <% end %>
                    </div>
                </div>
            </div>
        </div>
    </div>